## google-android-installers 1659100756

=== for-postinst/default/Makefile ===
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${REPO_DIR}${PKG_SOURCE}

DL_DIR=/var/cache/google-android-${PKG_NAME}-installer
INSTALL_DIR=/usr/lib/${INS_DIR}
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	$(eval UNPACK_DIR=$(DL_DIR)/$(shell \
		if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
		  echo $(TRG_DIR) ;\
		else \
		  unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1 | cut -d '/' -f 1 ;\
		fi)/)
	install -d -m0755 $(DOC_DIR)
	@if [ -f $(UNPACK_DIR)source.properties ]; then \
		install -m0644 $(UNPACK_DIR)source.properties $(DOC_DIR)/ ; \
        fi
	@if [ -f $(UNPACK_DIR)NOTICE.txt ]; then \
		gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz ; \
        fi
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	chmod -R a+rX $(UNPACK_DIR)
	chmod -R go-w $(UNPACK_DIR)
	install -d -m0755 $(INSTALL_DIR)
	@if [ ! -d $(INSTALL_DIR)$(TRG_DIR) ]; then \
		mv $(UNPACK_DIR) $(INSTALL_DIR)${TRG_DIR}  ;\
		if [ -e "/usr/share/google-android-${PKG_NAME}-installer/package.xml" ]; then \
		  ln -s $$(realpath /usr/share/google-android-${PKG_NAME}-installer/package.xml --relative-to=$(INSTALL_DIR)${TRG_DIR} ) $(INSTALL_DIR)${TRG_DIR}/package.xml ;\
		fi ;\
		TMPDIR=$$(realpath $(INSTALL_DIR)${TRG_DIR} --relative-to=/usr/lib) ;\
		(while [ "$$(dirname "$$TMPDIR")" != "." ]; do \
		  TMPDIR="$$(dirname "$$TMPDIR")" ;\
		  echo "/usr/lib/$$TMPDIR" ;\
		done) | tac >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
		find ${INSTALL_DIR}${TRG_DIR}  | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR)${TRG_DIR} already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	@echo "\n  Unzipping $(PKG_SOURCE). Please be patient, this may take some time."
	@if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
	  mkdir -p ${DL_DIR}/${TRG_DIR}; \
	  cd $(DL_DIR)/${TRG_DIR} && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
	else \
	  cd $(DL_DIR) && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
	fi

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL) -O $(PKG_SOURCE).tmp && mv $(PKG_SOURCE).tmp $(PKG_SOURCE)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-installers (1659100756) unstable; urgency=medium

  * d/control: add build-dependency to po-debconf
  * d/control: enable autobuild

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 07 Aug 2022 09:56:23 +0200

google-android-installers (1659100755) unstable; urgency=medium

  * New upstream update (no new binary package)
  * Bump Standards-Version to 4.6.1 (no change)
  * Bugs below have already been addressed in version 1653078891. Closing them
    - Closes: #987347
    - Closes: #987349
    - Closes: #987955
    - LP: #1726423
    - LP: #1796005
    - LP: #1858055
    - LP: #1888559
    - LP: #1929734
    - LP: #1532510
    - LP: #1698502
  * some fixes suggested by lintian
  * d/control: fix Depends of build-tools when on i386 Architecture
  * d/control: fix Architecture of platform-tools & build-tools
  * d/control: add version number to cmdline-tools description
  * d/tests/control: add tests for build-tools to have also tests on i386
  * d/tests/control: fix Architecture of platform-tools & build-tools

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 30 Jul 2022 11:26:11 +0200

google-android-installers (1657726242) unstable; urgency=medium

  * New upstream update

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 19 Jul 2022 06:57:48 +0200

google-android-installers (1657651256) experimental; urgency=medium

  * New upstream update
    - Remove google-android-platform-32-tiramisu-installer
    - Add google-android-platform-33-installer
    - Add google-android-build-tools-33.0.0-installer
    - Add NDK r25
  * New upstream "51-android.rules" file

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 14 Jul 2022 15:16:16 +0200

google-android-installers (1653488019) experimental; urgency=medium

  * d/control: move package to non-free section
  * d/control: add myself to Uploaders

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 02 Jun 2022 22:00:34 +0200

google-android-installers (1653488018) experimental; urgency=medium

  * New upstream update
    - add NDK r23c
    - update platform-tools 33.0.1 -> 33.0.2
  * d/tests/control: test only google-android-extras-google-auto-installer
  * d/tests/control: Add Architecture field

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 29 May 2022 18:59:09 +0200

google-android-installers (1653078891) experimental; urgency=medium

  * Non-maintainer upload.
  * Update package with latest versions of 'platforms' and 'build-tools'
    components (Closes: #901029)
  * Remove packages for obsolete versions of the SDK components
  * Add packages for the following SDK components:
    - cmdline-tools
    - extras/google/auto (Android Auto Desktop Head Unit Emulator)
    - emulator
    - ndk
    - patcher
    - platform-tools
    - sources
  * Add google-android-licenses package holding android-sdk/licenses directory
  * Add /usr/lib/android-sdk/{build-tools/, platforms/,...} to
    /var/lib/dpkg/info/*.list  (Closes: #852139)
  * d/po/* & debconf templates:
    - add Spanish debconf translation, thanks to Camaleón, Closes: #987344.
    - fix typo
  * Set "Installed-Size:" in binary control file
  * Automate creation of binary packages
    - use Google's repository2-1.xml to get all current packages
    - add 'upgrade_package_versions.sh' script to ease update to newer versions
    - add 'build_control_file.sh' script to build d/control file
    - add 'build_tests_control_file.sh' script to build d/tests/control which
      is filled with simple autopkgtest tests for each package
    - build the package.xml file for each SDK components
  * d/copyright:
    - use license provided by repository2-1.xml to build copyright file
  * d/changelog:
    - update version of package to the timestamp as displayed
      in 'repository2-1.xml'
  * d/control:
    - display download size of ZIP files
    - is auto-generated
    - bump debhelper-compat to 13
    - bump Standards-Version to 4.6.0.1
  * d/rules:
    - creates the $package.* files
    - creates the missing sha1 sums
  * platform-tools:
    - add udev rules to platform-tools package (51-android.rules)

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 23 May 2022 14:13:04 +0200

=== debian/control ===
# -- This file was generated automatically by the debian/scripts/build_control_file.sh script --
# -- Update control.in & *.control.in files instead --
Source: google-android-installers
Section: non-free/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Fab Stz <fabstz-it@yahoo.fr>, Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: bash-completion, debhelper-compat (=13), po-debconf
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://developer.android.com/about/index.html
Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-installers.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-installers
XS-Autobuild: yes

Package: google-android-licenses
Architecture: all
Depends: ${googleAndroidInstallers:Depends}, ${misc:Depends}
Description: Google's SDK licences subfolder with licenses SHA1 sums
 This package hols the "licenses" folder of the Google Android SDK folder
 structure.
 .
 The files in that folder contain the sha1sums of the licences that are in
 the package.xml files of each SDK Component.
 .
 They are used to check that license has been accepted by the user.

Package: google-android-platform-7-installer
Architecture: all
Conflicts: android-sdk-platform-7,
           libandroid-7-java,
           libandroid-uiautomator-7-java
Replaces: android-sdk-platform-7,
          libandroid-7-java,
          libandroid-uiautomator-7-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 7 Installer
 This package will download the Google's Android SDK Platform 7 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.1_r03.zip (70 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-8-installer
Architecture: all
Conflicts: android-sdk-platform-8,
           libandroid-8-java,
           libandroid-uiautomator-8-java
Replaces: android-sdk-platform-8,
          libandroid-8-java,
          libandroid-uiautomator-8-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 8 Installer
 This package will download the Google's Android SDK Platform 8 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.2_r03.zip (74 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-9-installer
Architecture: all
Conflicts: android-sdk-platform-9,
           libandroid-9-java,
           libandroid-uiautomator-9-java
Replaces: android-sdk-platform-9,
          libandroid-9-java,
          libandroid-uiautomator-9-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 9 Installer
 This package will download the Google's Android SDK Platform 9 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.3.1_r02.zip (78 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-10-installer
Architecture: all
Conflicts: android-sdk-platform-10,
           libandroid-10-java,
           libandroid-uiautomator-10-java
Replaces: android-sdk-platform-10,
          libandroid-10-java,
          libandroid-uiautomator-10-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 10 Installer
 This package will download the Google's Android SDK Platform 10 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.3.3_r02.zip (85 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-11-installer
Architecture: all
Conflicts: android-sdk-platform-11,
           libandroid-11-java,
           libandroid-uiautomator-11-java
Replaces: android-sdk-platform-11,
          libandroid-11-java,
          libandroid-uiautomator-11-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 11 Installer
 This package will download the Google's Android SDK Platform 11 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.0_r02.zip (104 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-12-installer
Architecture: all
Conflicts: android-sdk-platform-12,
           libandroid-12-java,
           libandroid-uiautomator-12-java
Replaces: android-sdk-platform-12,
          libandroid-12-java,
          libandroid-uiautomator-12-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 12 Installer
 This package will download the Google's Android SDK Platform 12 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.1_r03.zip (106 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-13-installer
Architecture: all
Conflicts: android-sdk-platform-13,
           libandroid-13-java,
           libandroid-uiautomator-13-java
Replaces: android-sdk-platform-13,
          libandroid-13-java,
          libandroid-uiautomator-13-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 13 Installer
 This package will download the Google's Android SDK Platform 13 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.2_r01.zip (108 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-14-installer
Architecture: all
Conflicts: android-sdk-platform-14,
           libandroid-14-java,
           libandroid-uiautomator-14-java
Replaces: android-sdk-platform-14,
          libandroid-14-java,
          libandroid-uiautomator-14-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 14 Installer
 This package will download the Google's Android SDK Platform 14 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-14_r04.zip (46 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-15-installer
Architecture: all
Conflicts: android-sdk-platform-15,
           libandroid-15-java,
           libandroid-uiautomator-15-java
Replaces: android-sdk-platform-15,
          libandroid-15-java,
          libandroid-uiautomator-15-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 15 Installer
 This package will download the Google's Android SDK Platform 15 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-15_r05.zip (44 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-16-installer
Architecture: all
Conflicts: android-sdk-platform-16,
           libandroid-16-java,
           libandroid-uiautomator-16-java
Replaces: android-sdk-platform-16,
          libandroid-16-java,
          libandroid-uiautomator-16-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 16 Installer
 This package will download the Google's Android SDK Platform 16 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-16_r05.zip (48 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-17-installer
Architecture: all
Conflicts: android-sdk-platform-17,
           libandroid-17-java,
           libandroid-uiautomator-17-java
Replaces: android-sdk-platform-17,
          libandroid-17-java,
          libandroid-uiautomator-17-java
Depends: google-android-licenses (= ${source:Version}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 17 Installer
 This package will download the Google's Android SDK Platform 17 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DH_VERBOSE=1

PLATFORMS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PLATFORMS_VERSIONS_TO_PACKAGE)
BUILD_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh BUILD_TOOLS_VERSIONS_TO_PACKAGE)
PATCHER_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PATCHER_VERSIONS_TO_PACKAGE)
CMDLINE_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh CMDLINE_TOOLS_VERSIONS_TO_PACKAGE)
PLATFORM_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PLATFORM_TOOLS_VERSIONS_TO_PACKAGE)
NDK_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh NDK_VERSIONS_TO_PACKAGE)
SOURCES_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh SOURCES_VERSIONS_TO_PACKAGE)
EMULATOR_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh EMULATOR_VERSIONS_TO_PACKAGE)
EXTRAS_GOOGLE_AUTO_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh EXTRAS_GOOGLE_AUTO_VERSIONS_TO_PACKAGE)

%:
	dh $@ --with bash-completion

override_dh_clean:
	dh_clean
	@echo "Cleaning files for 'platforms' package"
	@for version in ${PLATFORMS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f2) ;\
	  VERBIS=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | cut -d "-" -f2  | tr '[:upper:]' '[:lower:]') ;\
	  if [ "$$VERBIS" != "$$VER" ]; then VER="$$VER-$$VERBIS"; fi ;\
	  rm -f debian/google-android-platform-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-platform-$$VER-installer.config ;\
	  rm -f debian/google-android-platform-$$VER-installer.dirs ;\
	  rm -f debian/google-android-platform-$$VER-installer.install ;\
	  rm -f debian/google-android-platform-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-platform-$$VER-installer.postinst ;\
	  rm -f debian/google-android-platform-$$VER-installer.postrm ;\
	  rm -f debian/google-android-platform-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'build-tools' package"
	@for version in ${BUILD_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.alternatives ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.config ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.dirs ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.install ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.postinst ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.postrm ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'patcher' package"
	@for version in ${PATCHER_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | tr -d 'v') ;\
	  rm -f debian/google-android-patcher-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-patcher-$$VER-installer.config ;\
	  rm -f debian/google-android-patcher-$$VER-installer.dirs ;\
	  rm -f debian/google-android-patcher-$$VER-installer.install ;\
	  rm -f debian/google-android-patcher-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-patcher-$$VER-installer.postinst ;\
	  rm -f debian/google-android-patcher-$$VER-installer.postrm ;\
	  rm -f debian/google-android-patcher-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'cmdline-tools' package"
	@for version in ${CMDLINE_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.alternatives ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.config ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.dirs ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.install ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.postinst ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.postrm ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'platform-tools' package"
	@for version in ${PLATFORM_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  rm -f debian/google-android-platform-tools-installer.bug-script ;\
	  rm -f debian/google-android-platform-tools-installer.config ;\
	  rm -f debian/google-android-platform-tools-installer.dirs ;\
	  rm -f debian/google-android-platform-tools-installer.install ;\
	  rm -f debian/google-android-platform-tools-installer.lintian-overrides ;\
	  rm -f debian/google-android-platform-tools-installer.postinst ;\
	  rm -f debian/google-android-platform-tools-installer.postrm ;\
	  rm -f debian/google-android-platform-tools-installer.templates ;\
	  rm -f debian/google-android-platform-tools-installer.bash-completion ;\
	  rm -f debian/google-android-platform-tools-installer.links ;\
	done

	@echo "Cleaning files for 'ndk' package"
	@for version in ${NDK_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER_LONG=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  VER=r$$(echo $$VER_LONG | cut -d . -f 1)$$(echo $$VER_LONG | cut -d . -f 2 | tr '[1-9]' '[b-z]' | tr -d '0') ;\
	  rm -f debian/google-android-ndk-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-ndk-$$VER-installer.config ;\
	  rm -f debian/google-android-ndk-$$VER-installer.dirs ;\
	  rm -f debian/google-android-ndk-$$VER-installer.install ;\
	  rm -f debian/google-android-ndk-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-ndk-$$VER-installer.postinst ;\
	  rm -f debian/google-android-ndk-$$VER-installer.postrm ;\
	  rm -f debian/google-android-ndk-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'sources' package"
	@for version in ${SOURCES_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | cut -d '-' -f2) ;\
	  rm -f debian/google-android-sources-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-sources-$$VER-installer.config ;\
	  rm -f debian/google-android-sources-$$VER-installer.dirs ;\
	  rm -f debian/google-android-sources-$$VER-installer.install ;\
	  rm -f debian/google-android-sources-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-sources-$$VER-installer.postinst ;\
	  rm -f debian/google-android-sources-$$VER-installer.postrm ;\
	  rm -f debian/google-android-sources-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'emulator' package"
	@for version in ${EMULATOR_VERSIONS_TO_PACKAGE}; do \
	  rm -f debian/google-android-emulator-installer.bug-script ;\
	  rm -f debian/google-android-emulator-installer.config ;\
	  rm -f debian/google-android-emulator-installer.dirs ;\
	  rm -f debian/google-android-emulator-installer.install ;\
	  rm -f debian/google-android-emulator-installer.lintian-overrides ;\
	  rm -f debian/google-android-emulator-installer.postinst ;\
	  rm -f debian/google-android-emulator-installer.postrm ;\
	  rm -f debian/google-android-emulator-installer.templates ;\
	  rm -f debian/google-android-emulator-installer.bash-completion ;\
	  rm -f debian/google-android-emulator-installer.links ;\
	done

=== debian/tests/control ===
# -- This file was generated automatically by the debian/scripts/build_tests_control_file.sh script --
Test-Command: /usr/lib/android-sdk/build-tools/19.1.0/aapt v
Depends: google-android-build-tools-19.1.0-installer
Architecture: i386 amd64

Test-Command: /usr/lib/android-sdk/build-tools/33.0.0/aapt v
Depends: google-android-build-tools-33.0.0-installer
Architecture: amd64

Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
Depends: google-android-extras-google-auto-installer
Architecture: amd64

## google-android-installers 1659100756ubuntu1

=== debian/changelog ===
google-android-installers (1659100756ubuntu1) kinetic; urgency=medium

  * google-android-extras-google-auto-installer: Explicitly use
    libc++1-14 and libc++abi1-14. See #1020423.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Oct 2022 13:46:42 +0200

google-android-installers (1659100756build1) kinetic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2022 20:53:31 +0200

## google-android-installers 1675172736

=== debian/changelog ===
google-android-installers (1675172736) unstable; urgency=medium

  * cmdline-tools: add dependency to build-tools packages. Closes: #1033729

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 03 Apr 2023 18:25:39 +0200

google-android-installers (1675172735) unstable; urgency=medium

  * New upstream update
    - NEW package: google-android-cmdline-tools-9.0-installer
    - NEW package: google-android-ndk-r25c-installer
    - update emulator package to 31.3.15
    - update "platforms;android-TiramisuPrivacySandbox" v33 to rev9
    - refresh Android Auto dependencies [adds libusb-1.0-0 (>= 2:1.0.8)]

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 08 Feb 2023 11:36:58 +0100

google-android-installers (1673573135) unstable; urgency=medium

  * add pt_BR translation (Closes: #1025448). Thanks to Paulo Henrique de
    Lima Santana
  * New upstream update
    - NEW package: google-android-build-tools-33.0.1-installer
    - NEW package: google-android-cmdline-tools-8.0-installer
    - update emulator package to 31.3.14

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 13 Jan 2023 12:34:58 +0100

google-android-installers (1666965622) unstable; urgency=medium

  * move to google-android-tools-team

 -- Roger Shimizu <rosh@debian.org>  Tue, 22 Nov 2022 19:57:16 +0100

google-android-installers (1666965621) unstable; urgency=medium

  * New upstream update
    - update emulator package to 31.3.13
    - update platform-TiramisuPrivacySandbox to r08
    - update android auto to 2.0
  * update Android Auto dependencies - Closes: #1021189
  * set Android Auto version to 2.0.2+really2.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 03 Nov 2022 09:04:28 +0100

google-android-installers (1663888325) unstable; urgency=medium

  * d/copyright*: make it more fine-grained
  * New upstream update
    - update emulator package to 31.3.11
    - update platform-tools to 33.0.3
    - update android-TiramisuPrivacySandbox 33 to rev 6
    - NEW package: google-android-sources-33-installer
    - NEW package: google-android-ndk-r25b-installer
  * Update 51-android.rules to latest upstream

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 26 Sep 2022 20:40:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Source: google-android-installers
 Section: non-free/devel
 Priority: optional
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Fab Stz <fabstz-it@yahoo.fr>, Mouaad Aallam <Mouaad@Aallam.com>
+Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Uploaders: Roger Shimizu <rosh@debian.org>, Mouaad Aallam <Mouaad@Aallam.com>
 Build-Depends: bash-completion, debhelper-compat (=13), po-debconf
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://developer.android.com/about/index.html
-Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-installers.git
-Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-installers
+Vcs-Git: https://salsa.debian.org/google-android-tools-team/google-android-installers.git
+Vcs-Browser: https://salsa.debian.org/google-android-tools-team/google-android-installers
 XS-Autobuild: yes
 
 Package: google-android-licenses

## google-android-installers 1675172738

=== for-postinst/default/Makefile ===
--- 
+++ 
@@ -49,6 +49,34 @@
 	  cd $(DL_DIR) && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
 	fi
 
+# Search for broken symbolic links & fix them
+	@if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
+	  ZIP_ROOT_DIR=$(TRG_DIR) ;\
+	else \
+	  ZIP_ROOT_DIR=$$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1 | cut -d '/' -f 1) ;\
+	fi && \
+	BROKEN_SYMLINKS=$$(cd $(DL_DIR)/$$ZIP_ROOT_DIR && find -xtype l -exec ls {} \;) && \
+	if [ -n "$$BROKEN_SYMLINKS" ]; then \
+	  echo "\n  Fixing broken symbolic links."; \
+	fi && \
+	for file in $$BROKEN_SYMLINKS; do \
+	  cd $(DL_DIR)/$$ZIP_ROOT_DIR && \
+	  LINK_TARGET=$$(readlink "$$file") && \
+	  REL_PATH_TO_TARGET=$$(echo "$$LINK_TARGET" | sed "s|.*$$ZIP_ROOT_DIR/\(.*\)|\1|") && \
+	  echo "    Replacing symbolic link: $$file" && \
+	  echo "      Original target: $$LINK_TARGET" && \
+	  echo "      New target: $$REL_PATH_TO_TARGET" && \
+	  ln -fsr "$$REL_PATH_TO_TARGET" "$$file"; \
+	done; \
+	BROKEN_SYMLINKS_AFTER=$$(cd $(DL_DIR)/$$ZIP_ROOT_DIR && find -xtype l -exec ls {} \;) && \
+	if [ -n "$$BROKEN_SYMLINKS_AFTER" ]; then \
+	  echo "\n  Some files have broken symbolic links. Please report a bug to the package maintainer\n"; \
+	  for item in $$BROKEN_SYMLINKS_AFTER; do \
+	    echo "    $$item"; \
+	  done && \
+	  exit 1 ;\
+	fi
+
 $(DL_DIR)/$(PKG_SOURCE):
 	cd $(DL_DIR) && \
 		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL) -O $(PKG_SOURCE).tmp && mv $(PKG_SOURCE).tmp $(PKG_SOURCE)"

=== for-postinst/docs/Makefile ===
PKG_SOURCE:=docs-23_r01.zip
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-sdk-docs-installer
UNPACK_DIR=$(DL_DIR)/docs
INSTALL_DIR=/usr/share/doc/google-android-sdk-docs
FILELIST=/var/lib/dpkg/info/google-android-sdk-docs-installer.list

all: $(DL_DIR)/$(UNPACK_DIR)/index.html
	find $(UNPACK_DIR)/ -name '*.js' -o -name '*.html' -o -name '*.css' | xargs sed -i \
		-e 's|http://source.android.com|https://source.android.com|g' \
		-e 's|http://developer.android.com|https://developer.android.com|g' \
		-e 's|http://developer.chrome.com|https://developer.chrome.com|g' \
		-e 's|http://www.youtube.com|https://www.youtube.com|g' \
		-e 's|http://youtu.be|https://youtu.be|g' \
		-e 's|http://i1.ytimg.com|https://i1.ytimg.com|g' \
		-e 's|http://developers.google.com|https://developers.google.com|g' \
		-e 's|http://play.google.com|https://play.google.com|g' \
		-e 's|http://plus.google.com|https://plus.google.com|g' \
		-e 's|http://www.google.com|https://www.google.com|g' \
		-e 's|http://support.google.com|https://support.google.com|g' \
		-e 's|http://android-developers.blogspot|https://android-developers.blogspot|g' \
		-e 's|http://chart.googleapis.com|https://chart.googleapis.com|g' \
		-e 's|http://en.wikipedia.org|https://en.wikipedia.org|g' \
		-e 's|http://creativecommons.org|https://creativecommons.org|g' \
		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|./font-family-roboto-condensed.css|g' \
		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|./font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
		-e 's|href="../../../guide/topics/fundamentals|href="../../../guide/components|g'

	find $(UNPACK_DIR)/ -name '*.html' | xargs sed -i \
		-e 's|//ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js|./swfobject.js|g' \
		-e 's|<script src="https://www.google.com/jsapi" type="text/javascript"></script>||g' \
		-e 's/^  var _gaq = _gaq || \[\];$$/  var _gaq = [];/' \
		-e "/^  _gaq\.push(\['_setAccount', 'UA-5831155-1'\]);/,/^  \})();/d" \
		-e '/^<!-- Start of Tag -->/,/^<!-- End of Tag -->/d'
	find $(UNPACK_DIR)/ | xargs chmod a+r
	find $(UNPACK_DIR)/ -type d | xargs chmod 0755

install: all
	install -d -m0755 $(INSTALL_DIR)
	install -m0644 $(UNPACK_DIR)/source.properties $(INSTALL_DIR)/
	mv $(UNPACK_DIR) $(INSTALL_DIR)/
	echo $(INSTALL_DIR)/source.properties >> $(FILELIST)
	find $(INSTALL_DIR)/docs >> $(FILELIST)

uninstall:
	rm -f $(INSTALL_DIR)/copyright.gz
	for d in `find $(INSTALL_DIR) /usr/share/doc -type d -empty`; do \
		test -d $$d && rmdir $$d || true ; done

$(DL_DIR)/$(UNPACK_DIR)/index.html: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

$(DL_DIR)/swfobject.js: $(DL_DIR)
	wget --continue 'https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js' \
		--output-document=$(DL_DIR)/swfobject.js

$(DL_DIR):
	install -d -m0700 $(DL_DIR)

clean:
	rm -rf -- $(UNPACK_DIR)
	rm -f $(DL_DIR)/swfobject.js

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-installers (1675172738) unstable; urgency=medium

  * Makefile: fix broken symbolic links (Closes: #1035713)

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 May 2023 17:35:00 +0200

google-android-installers (1675172737) unstable; urgency=medium

  * cmdline-tools: set Architecture to 'amd64 i386'

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 09 Apr 2023 22:31:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 
 override_dh_clean:
 	dh_clean
+
+	@sed -i -e "/googleAndroidCmdlineToolsInstallers:Depends=/ s/=.*/=/" debian/cmdline-tools.substvars.in
+
 	@echo "Cleaning files for 'platforms' package"
 	@for version in ${PLATFORMS_VERSIONS_TO_PACKAGE}; do \
 	  version=$$(echo $$version | sed "s/,/;/g");\
@@ -132,7 +135,3 @@
 	  rm -f debian/google-android-emulator-installer.postinst ;\
 	  rm -f debian/google-android-emulator-installer.postrm ;\
 	  rm -f debian/google-android-emulator-installer.templates ;\
-	  rm -f debian/google-android-emulator-installer.bash-completion ;\
-	  rm -f debian/google-android-emulator-installer.links ;\
-	done
-

=== debian/tests/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Depends: google-android-build-tools-19.1.0-installer
 Architecture: i386 amd64
 
-Test-Command: /usr/lib/android-sdk/build-tools/33.0.0/aapt v
-Depends: google-android-build-tools-33.0.0-installer
+Test-Command: /usr/lib/android-sdk/build-tools/33.0.1/aapt v
+Depends: google-android-build-tools-33.0.1-installer
 Architecture: amd64
 
 Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
